Skip to main content
PUT
/
rr
/
api
/
v1
/
transactions
/
{id}
Update Revenue Transaction
curl --request PUT \
  --url https://api.meetcampfire.com/rr/api/v1/transactions/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tags": "<string>",
  "source": "<string>",
  "description": "<string>",
  "external_id": "<string>",
  "client_external_id": "<string>",
  "contract_external_id": "<string>",
  "contract_subscription_external_id": "<string>",
  "product_external_id": "<string>",
  "accounting_period": "2023-12-25",
  "transaction_date": "2023-12-25",
  "transaction_end_date": "2023-12-25",
  "currency": "<string>",
  "exchange_rate": 0,
  "exchange_rate_book": 0,
  "recognized": 0,
  "amount": 0,
  "quantity": 0,
  "rate": 0,
  "discount": 0,
  "refunds": 0,
  "processing_fees": 0,
  "platform_fees": 0,
  "transfers": 0,
  "tax": 0,
  "balance_adjustment": 0,
  "mrr": 0,
  "renewall": true,
  "tag_ids": [
    0
  ],
  "tag_group_ids": [
    0
  ],
  "is_migration_invoiced": true,
  "entity": 123,
  "client": 123,
  "contract": 123,
  "contract_subscription": 123,
  "non_contract_subscription": 123,
  "contract_usage": 123,
  "contract_milestone": 123,
  "non_contract_usage": 123,
  "prepaid_commit": 123,
  "product": 123,
  "product_bundle": 123,
  "contract_product_bundle": 123,
  "contract_bundle": 123,
  "journal_entry": 123,
  "invoice": 123,
  "credit_memo": 123,
  "department": 123,
  "usage_tier": 123
}
'
import requests

url = "https://api.meetcampfire.com/rr/api/v1/transactions/{id}"

payload = {
"tags": "<string>",
"source": "<string>",
"description": "<string>",
"external_id": "<string>",
"client_external_id": "<string>",
"contract_external_id": "<string>",
"contract_subscription_external_id": "<string>",
"product_external_id": "<string>",
"accounting_period": "2023-12-25",
"transaction_date": "2023-12-25",
"transaction_end_date": "2023-12-25",
"currency": "<string>",
"exchange_rate": 0,
"exchange_rate_book": 0,
"recognized": 0,
"amount": 0,
"quantity": 0,
"rate": 0,
"discount": 0,
"refunds": 0,
"processing_fees": 0,
"platform_fees": 0,
"transfers": 0,
"tax": 0,
"balance_adjustment": 0,
"mrr": 0,
"renewall": True,
"tag_ids": [0],
"tag_group_ids": [0],
"is_migration_invoiced": True,
"entity": 123,
"client": 123,
"contract": 123,
"contract_subscription": 123,
"non_contract_subscription": 123,
"contract_usage": 123,
"contract_milestone": 123,
"non_contract_usage": 123,
"prepaid_commit": 123,
"product": 123,
"product_bundle": 123,
"contract_product_bundle": 123,
"contract_bundle": 123,
"journal_entry": 123,
"invoice": 123,
"credit_memo": 123,
"department": 123,
"usage_tier": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tags: '<string>',
source: '<string>',
description: '<string>',
external_id: '<string>',
client_external_id: '<string>',
contract_external_id: '<string>',
contract_subscription_external_id: '<string>',
product_external_id: '<string>',
accounting_period: '2023-12-25',
transaction_date: '2023-12-25',
transaction_end_date: '2023-12-25',
currency: '<string>',
exchange_rate: 0,
exchange_rate_book: 0,
recognized: 0,
amount: 0,
quantity: 0,
rate: 0,
discount: 0,
refunds: 0,
processing_fees: 0,
platform_fees: 0,
transfers: 0,
tax: 0,
balance_adjustment: 0,
mrr: 0,
renewall: true,
tag_ids: [0],
tag_group_ids: [0],
is_migration_invoiced: true,
entity: 123,
client: 123,
contract: 123,
contract_subscription: 123,
non_contract_subscription: 123,
contract_usage: 123,
contract_milestone: 123,
non_contract_usage: 123,
prepaid_commit: 123,
product: 123,
product_bundle: 123,
contract_product_bundle: 123,
contract_bundle: 123,
journal_entry: 123,
invoice: 123,
credit_memo: 123,
department: 123,
usage_tier: 123
})
};

fetch('https://api.meetcampfire.com/rr/api/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "is_deleted": false,
  "deleted_at": "2023-11-07T05:31:56Z",
  "entity_name": "<string>",
  "entity_currency": "<string>",
  "client_name": "<string>",
  "contract_name": "<string>",
  "contract_status": "<string>",
  "product_name": "<string>",
  "product_bundle_name": "<string>",
  "product_is_taxable": true,
  "contract_identifier": "<string>",
  "client_identifier": "<string>",
  "product_identifier": "<string>",
  "gross_amount": "<string>",
  "invoice_number": "<string>",
  "invoice_date": "<string>",
  "invoice_payment_status": "<string>",
  "invoice_voided_date": "2023-12-25",
  "credit_memo_number": "<string>",
  "credit_memo_date": "2023-12-25",
  "credit_memo_voided_date": "2023-12-25",
  "credit_memo_application_status": "<string>",
  "revenue_type": "<string>",
  "journal_entry_order": "<string>",
  "contract_subscription_notes": "<string>",
  "subscription_discount": 0,
  "department_name": "<string>",
  "parent_department_name": "<string>",
  "parent_department": 123,
  "usage_tier_name": "<string>",
  "last_modified_at": "2023-11-07T05:31:56Z",
  "anrok_item_id": "<string>",
  "sphere_item_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "customer": 123,
  "tags": "<string>",
  "source": "<string>",
  "description": "<string>",
  "external_id": "<string>",
  "client_external_id": "<string>",
  "contract_external_id": "<string>",
  "contract_subscription_external_id": "<string>",
  "product_external_id": "<string>",
  "accounting_period": "2023-12-25",
  "transaction_date": "2023-12-25",
  "transaction_end_date": "2023-12-25",
  "currency": "<string>",
  "exchange_rate": 0,
  "exchange_rate_book": 0,
  "recognized": 0,
  "amount": 0,
  "quantity": 0,
  "rate": 0,
  "discount": 0,
  "refunds": 0,
  "processing_fees": 0,
  "platform_fees": 0,
  "transfers": 0,
  "tax": 0,
  "balance_adjustment": 0,
  "mrr": 0,
  "renewall": true,
  "tag_ids": [
    0
  ],
  "tag_group_ids": [
    0
  ],
  "is_migration_invoiced": true,
  "entity": 123,
  "client": 123,
  "contract": 123,
  "contract_subscription": 123,
  "non_contract_subscription": 123,
  "contract_usage": 123,
  "contract_milestone": 123,
  "non_contract_usage": 123,
  "prepaid_commit": 123,
  "product": 123,
  "product_bundle": 123,
  "contract_product_bundle": 123,
  "contract_bundle": 123,
  "journal_entry": 123,
  "invoice": 123,
  "credit_memo": 123,
  "department": 123,
  "usage_tier": 123
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
integer
required

Body

tags
string
source
string | null
Maximum string length: 250
description
string | null
external_id
string | null
Maximum string length: 250
client_external_id
string | null
Maximum string length: 250
contract_external_id
string | null
Maximum string length: 250
contract_subscription_external_id
string | null
Maximum string length: 250
product_external_id
string | null
Maximum string length: 250
accounting_period
string<date> | null
transaction_date
string<date> | null
transaction_end_date
string<date> | null
currency
string
Maximum string length: 3
exchange_rate
number<double> | null
Required range: -100000000000000 < x < 100000000000000
exchange_rate_book
number<double> | null
Required range: -100000000000000 < x < 100000000000000
recognized
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
amount
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
quantity
number<double> | null
Required range: -100000000000000 < x < 100000000000000
rate
number<double> | null
Required range: -10000000000000 < x < 10000000000000
discount
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
refunds
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
processing_fees
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
platform_fees
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
transfers
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
tax
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
balance_adjustment
number<double> | null

Invoice starting balance or other balance adjustments (e.g., previous balance applied to this transaction)

Required range: -1000000000000000000 < x < 1000000000000000000
mrr
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
renewall
boolean
tag_ids
integer<int64>[]
Required range: -9223372036854776000 <= x <= 9223372036854776000
tag_group_ids
integer<int64>[]
Required range: -9223372036854776000 <= x <= 9223372036854776000
is_migration_invoiced
boolean

Marked as invoiced during migration. Does not create GL entries or AR.

entity
integer | null
client
integer | null
contract
integer | null
contract_subscription
integer | null
non_contract_subscription
integer | null
contract_usage
integer | null
contract_milestone
integer | null
non_contract_usage
integer | null
prepaid_commit
integer | null
product
integer | null
product_bundle
integer | null
contract_product_bundle
integer | null

Reference to contract-specific editable product bundle allocation

contract_bundle
integer | null
journal_entry
integer | null
invoice
integer | null
credit_memo
integer | null
department
integer | null
usage_tier
integer | null

Response

200 - application/json
id
integer
required
read-only
is_deleted
boolean
default:false
required
read-only
deleted_at
string<date-time> | null
required
read-only
entity_name
string
required
read-only
entity_currency
string
required
read-only
client_name
string
required
read-only
contract_name
string
required
read-only
contract_status
string
required
read-only
product_name
string
required
read-only
product_bundle_name
string
required
read-only
product_is_taxable
boolean
required
read-only
contract_identifier
string
required
read-only
client_identifier
string
required
read-only
product_identifier
string
required
read-only
gross_amount
string
required
read-only
invoice_number
string
required
read-only
invoice_date
string
required
read-only
invoice_payment_status
string
required
read-only
invoice_voided_date
string<date>
required
read-only
credit_memo_number
string
required
read-only
credit_memo_date
string<date>
required
read-only
credit_memo_voided_date
string<date>
required
read-only
credit_memo_application_status
string
required
read-only
revenue_type
string
required
read-only
journal_entry_order
string
required
read-only
contract_subscription_notes
string
required
read-only
subscription_discount
number<double> | null
required
read-only
Required range: -10000000000000 < x < 10000000000000
department_name
string
required
read-only
parent_department_name
string
required
read-only
parent_department
integer
required
read-only
usage_tier_name
string
required
read-only
last_modified_at
string<date-time>
required
read-only
anrok_item_id
string
required
read-only
sphere_item_id
string
required
read-only
created_at
string<date-time> | null
required
read-only
customer
integer
required
read-only
tags
string
source
string | null
Maximum string length: 250
description
string | null
external_id
string | null
Maximum string length: 250
client_external_id
string | null
Maximum string length: 250
contract_external_id
string | null
Maximum string length: 250
contract_subscription_external_id
string | null
Maximum string length: 250
product_external_id
string | null
Maximum string length: 250
accounting_period
string<date> | null
transaction_date
string<date> | null
transaction_end_date
string<date> | null
currency
string
Maximum string length: 3
exchange_rate
number<double> | null
Required range: -100000000000000 < x < 100000000000000
exchange_rate_book
number<double> | null
Required range: -100000000000000 < x < 100000000000000
recognized
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
amount
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
quantity
number<double> | null
Required range: -100000000000000 < x < 100000000000000
rate
number<double> | null
Required range: -10000000000000 < x < 10000000000000
discount
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
refunds
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
processing_fees
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
platform_fees
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
transfers
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
tax
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
balance_adjustment
number<double> | null

Invoice starting balance or other balance adjustments (e.g., previous balance applied to this transaction)

Required range: -1000000000000000000 < x < 1000000000000000000
mrr
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
renewall
boolean
tag_ids
integer<int64>[]
Required range: -9223372036854776000 <= x <= 9223372036854776000
tag_group_ids
integer<int64>[]
Required range: -9223372036854776000 <= x <= 9223372036854776000
is_migration_invoiced
boolean

Marked as invoiced during migration. Does not create GL entries or AR.

entity
integer | null
client
integer | null
contract
integer | null
contract_subscription
integer | null
non_contract_subscription
integer | null
contract_usage
integer | null
contract_milestone
integer | null
non_contract_usage
integer | null
prepaid_commit
integer | null
product
integer | null
product_bundle
integer | null
contract_product_bundle
integer | null

Reference to contract-specific editable product bundle allocation

contract_bundle
integer | null
journal_entry
integer | null
invoice
integer | null
credit_memo
integer | null
department
integer | null
usage_tier
integer | null